Merge branch 'master' into staging
* master: (125 commits) scummvm: fix eval tinycc: 0.9.27pre-20171016 -> 0.9.27 Update terraform provider versions vscode: 1.18.1 -> 1.19.0 linux: 4.14.6 -> 4.14.7 scummvm: 1.9.0 -> 2.0.0 cmst: 2017.03.18 -> 2017.09.19 albert: 0.14.7 -> 0.14.14 obs-studio: fix vlc plugin ffmpeg, ffmpeg-full: 3.4 -> 3.4.1 uchiwa: 0.26.3 -> 1.1.0 linux-testing: 4.15-rc3 -> 4.15-rc4 steam: override nss, nspr, fixes #32781 ponyc: 0.20.0 -> 0.21.0 pythonPackages.pwntools: disable tests gnome3.gnome-tweak-tool: 3.26.3 → 3.26.4 vim-rhubarb: init at 2017-06-28 atom: depend on libsecret nvidia-settings: Make sure binary can find libXv.so backblaze-b2: 0.6.2 -> 1.1.0 ...
This commit is contained in:
@@ -3,13 +3,13 @@
|
||||
stdenv.mkDerivation rec {
|
||||
name = "${pname}-${version}";
|
||||
pname = "pulsemixer";
|
||||
version = "1.3.0-license";
|
||||
version = "1.4.0";
|
||||
|
||||
src = fetchFromGitHub {
|
||||
owner = "GeorgeFilipkin";
|
||||
repo = pname;
|
||||
rev = version;
|
||||
sha256 = "186xbzyn35w2j58l68mccj0cnf0wxj93zb7s0r26zj4cppwszn90";
|
||||
sha256 = "0l5zawv36d46sj3k31k5w6imnnxzyn62r83wdhr7fp5mi3ls1h5x";
|
||||
};
|
||||
|
||||
inherit libpulseaudio;
|
||||
|
||||
18
pkgs/tools/cd-dvd/ccd2iso/default.nix
Normal file
18
pkgs/tools/cd-dvd/ccd2iso/default.nix
Normal file
@@ -0,0 +1,18 @@
|
||||
{ stdenv, fetchurl }:
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
name = "ccd2iso-0.3";
|
||||
|
||||
src = fetchurl {
|
||||
url = "mirror://sourceforge/ccd2iso/${name}.tar.gz";
|
||||
sha256 = "1z000zi7hpr2h9cabj6hzf3n6a6gd6glmm8nn36v4b8i4vzbhx7q";
|
||||
};
|
||||
|
||||
meta = with stdenv.lib; {
|
||||
description = "CloneCD to ISO converter";
|
||||
homepage = https://sourceforge.net/projects/ccd2iso/;
|
||||
license = licenses.gpl2;
|
||||
maintainers = with maintainers; [ yegortimoshenko ];
|
||||
platforms = platforms.unix;
|
||||
};
|
||||
}
|
||||
@@ -1,21 +1,21 @@
|
||||
{ stdenv, fetchurl, pkgconfig, attr, acl, zlib, libuuid, e2fsprogs, lzo
|
||||
, asciidoc, xmlto, docbook_xml_dtd_45, docbook_xsl, libxslt
|
||||
, asciidoc, xmlto, docbook_xml_dtd_45, docbook_xsl, libxslt, zstd
|
||||
}:
|
||||
|
||||
let version = "4.13.3"; in
|
||||
let version = "4.14"; in
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
name = "btrfs-progs-${version}";
|
||||
|
||||
src = fetchurl {
|
||||
url = "mirror://kernel/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v${version}.tar.xz";
|
||||
sha256 = "10yp0b4pwrw5mcd81yn3d0d87fnqpp4si5d25dfhl6n2640dnnw0";
|
||||
sha256 = "1bwirg6hz6gyfj5r3xkj4lfwadvl9pxlccf916fsmdn27fy5q289";
|
||||
};
|
||||
|
||||
nativeBuildInputs = [ pkgconfig ];
|
||||
buildInputs = [
|
||||
attr acl zlib libuuid e2fsprogs lzo
|
||||
asciidoc xmlto docbook_xml_dtd_45 docbook_xsl libxslt
|
||||
asciidoc xmlto docbook_xml_dtd_45 docbook_xsl libxslt zstd
|
||||
];
|
||||
|
||||
# gcc bug with -O1 on ARM with gcc 4.8
|
||||
|
||||
@@ -1,30 +0,0 @@
|
||||
From 2008bf62e13ebe41cdad3e16f8b42f46ae393876 Mon Sep 17 00:00:00 2001
|
||||
From: =?UTF-8?q?Bj=C3=B8rn=20Forsman?= <bjorn.forsman@gmail.com>
|
||||
Date: Tue, 6 Jan 2015 20:39:41 +0100
|
||||
Subject: [PATCH] vimdot: lookup 'vim' in $PATH
|
||||
|
||||
Instead of hardcoding /usr/bin/vim. Needed for NixOS (http://nixos.org), and is
|
||||
probably useful for others too.
|
||||
---
|
||||
plugin/xlib/vimdot.sh | 4 ++--
|
||||
1 file changed, 2 insertions(+), 2 deletions(-)
|
||||
|
||||
diff --git a/plugin/xlib/vimdot.sh b/plugin/xlib/vimdot.sh
|
||||
index 749fe6a..4e6dd4b 100755
|
||||
--- a/plugin/xlib/vimdot.sh
|
||||
+++ b/plugin/xlib/vimdot.sh
|
||||
@@ -3,9 +3,9 @@
|
||||
|
||||
error() { echo "$0: $*" >&2; exit 1; }
|
||||
|
||||
-editor="/usr/bin/vim"
|
||||
+editor="vim"
|
||||
|
||||
-if ! test -x "$editor"; then error "the \"$editor\" editor not found or not executable"; fi
|
||||
+if ! test -x "$(command -v "$editor")"; then error "the \"$editor\" editor not found or not executable"; fi
|
||||
|
||||
default="noname.gv"
|
||||
|
||||
--
|
||||
2.1.3
|
||||
|
||||
@@ -1,67 +1,5 @@
|
||||
{ stdenv, fetchurl, pkgconfig, libpng, libjpeg, expat, libXaw
|
||||
, yacc, libtool, fontconfig, pango, gd, xorg, gts, gettext, cairo
|
||||
, ApplicationServices
|
||||
}:
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
import ./base.nix {
|
||||
rev = "10c3c34c5198beacfba950764f34960c6884a34f";
|
||||
version = "2.32.0";
|
||||
name = "graphviz-${version}";
|
||||
|
||||
src = fetchurl {
|
||||
url = "http://www.graphviz.org/pub/graphviz/ARCHIVE/${name}.tar.gz";
|
||||
sha256 = "0ym7lw3xnkcgbk32vfmm3329xymca60gzn90rq6dv8887qqv4lyq";
|
||||
};
|
||||
|
||||
buildInputs =
|
||||
[ pkgconfig libpng libjpeg expat libXaw yacc libtool fontconfig
|
||||
pango gd gts
|
||||
] ++ stdenv.lib.optionals (xorg != null) [ xorg.xlibsWrapper xorg.libXrender ]
|
||||
++ stdenv.lib.optionals stdenv.isDarwin [ ApplicationServices gettext ];
|
||||
|
||||
CPPFLAGS = stdenv.lib.optionalString (stdenv.system == "x86_64-darwin") "-I${cairo.dev}/include/cairo";
|
||||
|
||||
configureFlags =
|
||||
[ "--with-pngincludedir=${libpng.dev}/include"
|
||||
"--with-pnglibdir=${libpng.out}/lib"
|
||||
"--with-jpegincludedir=${libjpeg.dev}/include"
|
||||
"--with-jpeglibdir=${libjpeg.out}/lib"
|
||||
"--with-expatincludedir=${expat.dev}/include"
|
||||
"--with-expatlibdir=${expat.out}/lib"
|
||||
"--with-ltdl-include=${libtool}/include"
|
||||
"--with-ltdl-lib=${libtool.lib}/lib"
|
||||
"--with-cgraph=no"
|
||||
"--with-sparse=no"
|
||||
]
|
||||
++ stdenv.lib.optional (xorg == null) "--without-x";
|
||||
|
||||
hardeningDisable = [ "fortify" ];
|
||||
|
||||
preBuild = ''
|
||||
sed -e 's@am__append_5 *=.*@am_append_5 =@' -i lib/gvc/Makefile
|
||||
'';
|
||||
|
||||
# "command -v" is POSIX, "which" is not
|
||||
postInstall = ''
|
||||
sed -i 's|`which lefty`|"'$out'/bin/lefty"|' $out/bin/dotty
|
||||
sed -i 's|which|command -v|' $out/bin/vimdot
|
||||
'';
|
||||
|
||||
meta = {
|
||||
homepage = http://www.graphviz.org/;
|
||||
description = "Open source graph visualization software";
|
||||
|
||||
longDescription = ''
|
||||
Graphviz is open source graph visualization software. Graph
|
||||
visualization is a way of representing structural information as
|
||||
diagrams of abstract graphs and networks. It has important
|
||||
applications in networking, bioinformatics, software engineering,
|
||||
database and web design, machine learning, and in visual
|
||||
interfaces for other technical domains.
|
||||
'';
|
||||
|
||||
platforms = stdenv.lib.platforms.linux ++ stdenv.lib.platforms.darwin;
|
||||
maintainers = with stdenv.lib.maintainers; [ bjornfor raskin ];
|
||||
inherit version;
|
||||
branch = "2.32";
|
||||
};
|
||||
sha256 = "18b2wnz6xk8hndy7dlr1vn9vziyryyflh747n9966778gmh8bick";
|
||||
}
|
||||
|
||||
59
pkgs/tools/graphics/graphviz/base.nix
Normal file
59
pkgs/tools/graphics/graphviz/base.nix
Normal file
@@ -0,0 +1,59 @@
|
||||
{ rev, sha256, version }:
|
||||
|
||||
{ stdenv, fetchFromGitLab, autoreconfHook, pkgconfig, cairo, expat, flex
|
||||
, fontconfig, gd, gettext, gts, libdevil, libjpeg, libpng, libtool, pango
|
||||
, yacc, xorg ? null, ApplicationServices ? null }:
|
||||
|
||||
assert stdenv.isDarwin -> ApplicationServices != null;
|
||||
|
||||
let
|
||||
inherit (stdenv.lib) optional optionals optionalString;
|
||||
in
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
name = "graphviz-${version}";
|
||||
|
||||
src = fetchFromGitLab {
|
||||
owner = "graphviz";
|
||||
repo = "graphviz";
|
||||
inherit sha256 rev;
|
||||
};
|
||||
|
||||
nativeBuildInputs = [ autoreconfHook pkgconfig ];
|
||||
|
||||
buildInputs = [
|
||||
libpng libjpeg expat yacc libtool fontconfig gd gts libdevil flex pango
|
||||
] ++ optionals (xorg != null) (with xorg; [ libXrender libXaw libXpm ])
|
||||
++ optionals (stdenv.isDarwin) [ ApplicationServices gettext ];
|
||||
|
||||
hardeningDisable = [ "fortify" ];
|
||||
|
||||
CPPFLAGS = stdenv.lib.optionalString (xorg != null && stdenv.isDarwin)
|
||||
"-I${cairo.dev}/include/cairo";
|
||||
|
||||
configureFlags = optional (xorg == null) "--without-x";
|
||||
|
||||
postPatch = ''
|
||||
for f in $(find . -name Makefile.in); do
|
||||
substituteInPlace $f --replace "-lstdc++" "-lc++"
|
||||
done
|
||||
'';
|
||||
|
||||
preAutoreconf = "./autogen.sh";
|
||||
|
||||
postFixup = optionalString (xorg != null) ''
|
||||
substituteInPlace $out/bin/dotty --replace '`which lefty`' $out/bin/lefty
|
||||
substituteInPlace $out/bin/vimdot \
|
||||
--replace /usr/bin/vi '$(command -v vi)' \
|
||||
--replace /usr/bin/vim '$(command -v vim)' \
|
||||
--replace /usr/bin/vimdot $out/bin/vimdot \
|
||||
'';
|
||||
|
||||
meta = with stdenv.lib; {
|
||||
homepage = https://graphviz.org;
|
||||
description = "Graph visualization tools";
|
||||
license = licenses.epl10;
|
||||
platforms = platforms.unix;
|
||||
maintainers = with maintainers; [ bjornfor raskin ];
|
||||
};
|
||||
}
|
||||
@@ -1,24 +0,0 @@
|
||||
From https://lists.debian.org/debian-qa-packages/2014/12/msg00048.html , which
|
||||
seems to come from Ubuntu.
|
||||
|
||||
Subject: Fix format string vulnerability (CVE-2014-9157) in yyerror() routine
|
||||
Origin: https://github.com/ellson/graphviz/commit/99eda421f7ddc27b14e4ac1d2126e5fe41719081
|
||||
Author: Emden R. Gansner
|
||||
|
||||
---
|
||||
lib/cgraph/scan.l | 2 +-
|
||||
1 file changed, 1 insertion(+), 1 deletion(-)
|
||||
|
||||
Index: b/lib/cgraph/scan.l
|
||||
===================================================================
|
||||
--- a/lib/cgraph/scan.l
|
||||
+++ b/lib/cgraph/scan.l
|
||||
@@ -225,7 +225,7 @@
|
||||
agxbput (&xb, buf);
|
||||
agxbput (&xb, yytext);
|
||||
agxbput (&xb,"'\n");
|
||||
- agerr(AGERR,agxbuse(&xb));
|
||||
+ agerr(AGERR, "%s", agxbuse(&xb));
|
||||
agxbfree(&xb);
|
||||
}
|
||||
/* must be here to see flex's macro defns */
|
||||
@@ -1,69 +1,5 @@
|
||||
{ stdenv, fetchurl, pkgconfig, libpng, libjpeg, expat
|
||||
, yacc, libtool, fontconfig, pango, gd, xorg, gts, libdevil, gettext, cairo
|
||||
, flex
|
||||
, ApplicationServices
|
||||
}:
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
import ./base.nix rec {
|
||||
rev = "stable_release_${version}";
|
||||
version = "2.40.1";
|
||||
name = "graphviz-${version}";
|
||||
|
||||
src = fetchurl {
|
||||
url = "http://www.graphviz.org/pub/graphviz/ARCHIVE/${name}.tar.gz";
|
||||
sha256 = "08d4ygkxz2f553bxj6087da56a23kx1khv0j8ycxa102vvx1hlna";
|
||||
};
|
||||
|
||||
hardeningDisable = [ "fortify" ];
|
||||
|
||||
patches = [ ];
|
||||
|
||||
buildInputs =
|
||||
[ pkgconfig libpng libjpeg expat yacc libtool fontconfig gd gts libdevil flex pango
|
||||
] ++ stdenv.lib.optionals (xorg != null)
|
||||
(with xorg; [ xlibsWrapper libXrender libXaw libXpm ])
|
||||
++ stdenv.lib.optionals (stdenv.isDarwin) [ ApplicationServices gettext ];
|
||||
|
||||
CPPFLAGS = stdenv.lib.optionalString (xorg != null && stdenv.isDarwin)
|
||||
"-I${cairo.dev}/include/cairo";
|
||||
|
||||
configureFlags = stdenv.lib.optional (xorg == null) "--without-x";
|
||||
|
||||
postPatch = (stdenv.lib.optionalString stdenv.isDarwin ''
|
||||
for foo in cmd/dot/Makefile.in cmd/edgepaint/Makefile.in \
|
||||
cmd/mingle/Makefile.in plugin/gdiplus/Makefile.in; do
|
||||
substituteInPlace "$foo" --replace "-lstdc++" "-lc++"
|
||||
done
|
||||
'') + ''
|
||||
substituteInPlace "plugin/xlib/vimdot.sh" --replace "/usr/bin/vim" "\$(command -v vim)"
|
||||
'';
|
||||
|
||||
preBuild = ''
|
||||
sed -e 's@am__append_5 *=.*@am_append_5 =@' -i lib/gvc/Makefile
|
||||
'';
|
||||
|
||||
# "command -v" is POSIX, "which" is not
|
||||
postInstall = stdenv.lib.optionalString (xorg != null) ''
|
||||
sed -i 's|`which lefty`|"'$out'/bin/lefty"|' $out/bin/dotty
|
||||
sed -i 's|which|command -v|' $out/bin/vimdot
|
||||
'';
|
||||
|
||||
meta = {
|
||||
homepage = http://www.graphviz.org/;
|
||||
description = "Open source graph visualization software";
|
||||
|
||||
longDescription = ''
|
||||
Graphviz is open source graph visualization software. Graph
|
||||
visualization is a way of representing structural information as
|
||||
diagrams of abstract graphs and networks. It has important
|
||||
applications in networking, bioinformatics, software engineering,
|
||||
database and web design, machine learning, and in visual
|
||||
interfaces for other technical domains.
|
||||
'';
|
||||
|
||||
platforms = stdenv.lib.platforms.linux ++ stdenv.lib.platforms.darwin;
|
||||
maintainers = with stdenv.lib.maintainers; [ bjornfor raskin ];
|
||||
downloadPage = "http://www.graphviz.org/pub/graphviz/ARCHIVE/";
|
||||
inherit version;
|
||||
updateWalker = true;
|
||||
};
|
||||
}
|
||||
sha256 = "1xjqq3g2n6jgwp5xzyvibgrxawlskkpam69fjjz9ksrrjas2qwzj";
|
||||
}
|
||||
|
||||
@@ -1,20 +1,20 @@
|
||||
{ stdenv, fetchurl, libpng, pkgconfig }:
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
name = "qrencode-3.4.4";
|
||||
name = "qrencode-4.0.0";
|
||||
|
||||
src = fetchurl {
|
||||
url = "${meta.homepage}/${name}.tar.bz2";
|
||||
sha256 = "198zvsfa2y5bb3ccikrhmhd4i43apr3b26dqcf3zkjyv3n5iirgg";
|
||||
sha256 = "02vx69fl52jbcrmnydsaxcmy6nxqm9jyxzd7hr07s491d7hka069";
|
||||
};
|
||||
|
||||
buildInputs = [ libpng ];
|
||||
nativeBuildInputs = [ pkgconfig ];
|
||||
|
||||
meta = {
|
||||
meta = with stdenv.lib; {
|
||||
homepage = https://fukuchi.org/works/qrencode/;
|
||||
description = "QR code encoder";
|
||||
platforms = stdenv.lib.platforms.all;
|
||||
maintainers = [ ];
|
||||
platforms = platforms.all;
|
||||
maintainers = with maintainers; [ yegortimoshenko ];
|
||||
};
|
||||
}
|
||||
|
||||
@@ -6,7 +6,7 @@
|
||||
}:
|
||||
|
||||
let
|
||||
version = "0.44";
|
||||
version = "0.45.3";
|
||||
in
|
||||
with stdenv.lib;
|
||||
with perlPackages;
|
||||
@@ -14,7 +14,7 @@ stdenv.mkDerivation {
|
||||
name = "lbdb-${version}";
|
||||
src = fetchurl {
|
||||
url = "http://www.spinnaker.de/debian/lbdb_${version}.tar.gz";
|
||||
sha256 = "0kjz3n2ilrg6yrz8z40714ppdprgwhbgvzcsjzs822l6da4qxna3";
|
||||
sha256 = "01lx1nb5nlhwz663v35gg7crd36c78hnipq4z0dqyb9wjigwwg9k";
|
||||
};
|
||||
|
||||
buildInputs = [ goobook makeWrapper perl ConvertASN1 NetLDAP AuthenSASL ]
|
||||
@@ -37,8 +37,9 @@ stdenv.mkDerivation {
|
||||
|
||||
meta = {
|
||||
homepage = http://www.spinnaker.de/lbdb/;
|
||||
license = stdenv.lib.licenses.gpl2;
|
||||
platforms = stdenv.lib.platforms.all;
|
||||
license = licenses.gpl2;
|
||||
platforms = platforms.all;
|
||||
description = "The Little Brother's Database";
|
||||
maintainers = [ maintainers.kaiha ];
|
||||
};
|
||||
}
|
||||
|
||||
@@ -1,41 +1,26 @@
|
||||
{ stdenv, fetchFromGitHub, qtbase, qmake, makeWrapper, libX11 }:
|
||||
{ stdenv, fetchFromGitHub, qmake, qtbase, libX11 }:
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
name = "cmst-${version}";
|
||||
version = "2017.03.18";
|
||||
version = "2017.09.19";
|
||||
|
||||
src = fetchFromGitHub {
|
||||
repo = "cmst";
|
||||
owner = "andrew-bibb";
|
||||
rev = name;
|
||||
sha256 = "0lsg8ya36df48ij0jawgli3f63hy6mn9zcla48whb1l4r7cih545";
|
||||
sha256 = "14inss0mr9i4q6vfqqfxbjgpjaclp1kh60qlm5xv4cwnvi395rc7";
|
||||
};
|
||||
|
||||
nativeBuildInputs = [ makeWrapper qmake ];
|
||||
nativeBuildInputs = [ qmake ];
|
||||
|
||||
buildInputs = [ qtbase ];
|
||||
|
||||
enableParallelBuilding = true;
|
||||
|
||||
preConfigure = ''
|
||||
substituteInPlace ./cmst.pro \
|
||||
--replace "/usr/share" "$out/share"
|
||||
|
||||
substituteInPlace ./cmst.pri \
|
||||
--replace "/usr/lib" "$out/lib" \
|
||||
--replace "/usr/share" "$out/share"
|
||||
|
||||
substituteInPlace ./apps/cmstapp/cmstapp.pro \
|
||||
--replace "/usr/bin" "$out/bin"
|
||||
|
||||
substituteInPlace ./apps/rootapp/rootapp.pro \
|
||||
--replace "/etc" "$out/etc" \
|
||||
--replace "/usr/share" "$out/share"
|
||||
'';
|
||||
|
||||
postInstall = ''
|
||||
wrapProgram $out/bin/cmst \
|
||||
--prefix "QTCOMPOSE" ":" "${libX11}/share/X11/locale"
|
||||
postPatch = ''
|
||||
for f in $(find . -name \*.cpp -o -name \*.pri -o -name \*.pro); do
|
||||
substituteInPlace $f --replace /etc $out/etc --replace /usr $out
|
||||
done
|
||||
'';
|
||||
|
||||
meta = {
|
||||
|
||||
@@ -2,7 +2,7 @@
|
||||
, libnotify, libsecret, polkit, isocodes, modemmanager
|
||||
, mobile_broadband_provider_info, glib_networking, gsettings_desktop_schemas
|
||||
, udev, libgudev, hicolor_icon_theme, jansson, wrapGAppsHook, webkitgtk
|
||||
, withGnome ? false }:
|
||||
, libindicator-gtk3, libappindicator-gtk3, withGnome ? false }:
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
name = "${pname}-${major}.${minor}";
|
||||
@@ -18,6 +18,7 @@ stdenv.mkDerivation rec {
|
||||
configureFlags = [
|
||||
"--sysconfdir=/etc"
|
||||
"--without-selinux"
|
||||
"--with-appindicator"
|
||||
];
|
||||
|
||||
outputs = [ "out" "dev" ];
|
||||
@@ -26,6 +27,7 @@ stdenv.mkDerivation rec {
|
||||
gnome3.gtk libglade networkmanager libnotify libsecret gsettings_desktop_schemas
|
||||
polkit isocodes udev libgudev gnome3.libgnome_keyring
|
||||
modemmanager jansson glib_networking
|
||||
libindicator-gtk3 libappindicator-gtk3
|
||||
] ++ stdenv.lib.optional withGnome webkitgtk;
|
||||
|
||||
nativeBuildInputs = [ intltool pkgconfig wrapGAppsHook ];
|
||||
|
||||
@@ -4,14 +4,14 @@
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
name = "libmodsecurity-${version}";
|
||||
version = "3.0.0-2017-11-17";
|
||||
version = "3.0.0";
|
||||
|
||||
src = fetchFromGitHub {
|
||||
owner = "SpiderLabs";
|
||||
repo = "ModSecurity";
|
||||
fetchSubmodules = true;
|
||||
rev = "81e1cdced3c0266d4b02a68e5f99c30a9c992303";
|
||||
sha256 = "120bpvjq6ws2lv4vw98rx2s0c9yn0pfhlaphlgfv2rxqm3q7yhrr";
|
||||
rev = "v${version}";
|
||||
sha256 = "1y9nxbf5vgip4zl948a27xpw4mpimqd7xmskfi40k6g0cmmsx1x1";
|
||||
};
|
||||
|
||||
nativeBuildInputs = [ autoreconfHook pkgconfig ];
|
||||
@@ -28,7 +28,7 @@ stdenv.mkDerivation rec {
|
||||
|
||||
meta = with stdenv.lib; {
|
||||
description = ''
|
||||
Libmodsecurity is one component of the ModSecurity v3 project.
|
||||
ModSecurity v3 library component.
|
||||
'';
|
||||
longDescription = ''
|
||||
Libmodsecurity is one component of the ModSecurity v3 project. The
|
||||
@@ -44,4 +44,3 @@ stdenv.mkDerivation rec {
|
||||
maintainers = with maintainers; [ izorkin ];
|
||||
};
|
||||
}
|
||||
|
||||
|
||||
38
pkgs/tools/security/lynis/default.nix
Normal file
38
pkgs/tools/security/lynis/default.nix
Normal file
@@ -0,0 +1,38 @@
|
||||
{ stdenv, makeWrapper, fetchFromGitHub, gawk, perl }:
|
||||
|
||||
stdenv.mkDerivation rec {
|
||||
pname = "lynis";
|
||||
version = "2.5.7";
|
||||
name = "${pname}-${version}";
|
||||
|
||||
src = fetchFromGitHub {
|
||||
owner = "CISOfy";
|
||||
repo = "${pname}";
|
||||
rev = "${version}";
|
||||
sha256 = "19rfkiri73bi43i4yxpqrxjzpqn5rfrkq2picja5filjv14hbyly";
|
||||
};
|
||||
|
||||
nativeBuildInputs = [ makeWrapper perl ];
|
||||
|
||||
postPatch = ''
|
||||
grep -rl '/usr/local/lynis' ./ | xargs sed -i "s@/usr/local/lynis@$out/share/lynis@g"
|
||||
# Don't use predefined binary paths. See https://github.com/CISOfy/lynis/issues/468
|
||||
perl -i -p0e 's/BIN_PATHS="[^"]*"/BIN_PATHS=\$\(echo \$PATH\ | sed "s\/:\/ \/g")/sm;' include/consts
|
||||
'';
|
||||
|
||||
installPhase = ''
|
||||
mkdir -p $out/share/lynis
|
||||
cp -r include db default.prf $out/share/lynis/
|
||||
mkdir -p $out/bin
|
||||
cp -a lynis $out/bin
|
||||
wrapProgram "$out/bin/lynis" --prefix PATH : ${stdenv.lib.makeBinPath [ gawk ]}
|
||||
'';
|
||||
|
||||
meta = with stdenv.lib; {
|
||||
description = "Security auditing tool for Linux, macOS, and UNIX-based systems";
|
||||
homepage = "https://cisofy.com/lynis/";
|
||||
license = licenses.gpl3;
|
||||
platforms = platforms.unix;
|
||||
maintainers = [ maintainers.ryneeverett ];
|
||||
};
|
||||
}
|
||||
@@ -1,5 +1,5 @@
|
||||
{ fetchurl, fetchpatch, stdenv, lib, pkgconfig
|
||||
, libgpgerror, libassuan, libcap ? null, libsecret ? null, ncurses ? null, gtk2 ? null, gcr ? null, qt4 ? null
|
||||
, libgpgerror, libassuan, libcap ? null, libsecret ? null, ncurses ? null, gtk2 ? null, gcr ? null, qt ? null
|
||||
}:
|
||||
|
||||
let
|
||||
@@ -7,16 +7,15 @@ let
|
||||
mkEnable = mkFlag "enable" "disable";
|
||||
mkWith = mkFlag "with" "without";
|
||||
in
|
||||
with stdenv.lib;
|
||||
stdenv.mkDerivation rec {
|
||||
name = "pinentry-1.0.0";
|
||||
name = "pinentry-1.1.0";
|
||||
|
||||
src = fetchurl {
|
||||
url = "mirror://gnupg/pinentry/${name}.tar.bz2";
|
||||
sha256 = "0ni7g4plq6x78p32al7m8h2zsakvg1rhfz0qbc3kdc7yq7nw4whn";
|
||||
sha256 = "0w35ypl960pczg5kp6km3dyr000m1hf0vpwwlh72jjkjza36c1v8";
|
||||
};
|
||||
|
||||
buildInputs = [ libgpgerror libassuan libcap libsecret gtk2 gcr ncurses qt4 ];
|
||||
buildInputs = [ libgpgerror libassuan libcap libsecret gtk2 gcr ncurses qt ];
|
||||
|
||||
prePatch = ''
|
||||
substituteInPlace pinentry/pinentry-curses.c --replace ncursesw ncurses
|
||||
@@ -24,18 +23,10 @@ stdenv.mkDerivation rec {
|
||||
|
||||
patches = lib.optionals (gtk2 != null) [
|
||||
(fetchpatch {
|
||||
url = https://anonscm.debian.org/cgit/pkg-gnupg/pinentry.git/plain/debian/patches/0006-gtk2-Fix-a-problem-with-fvwm.patch;
|
||||
sha256 = "1w3y4brqp74hy3fbfxqnqp6jf985bd6667ivy1crz50r3z9zsy09";
|
||||
})(fetchpatch {
|
||||
url = https://anonscm.debian.org/cgit/pkg-gnupg/pinentry.git/plain/debian/patches/0007-gtk2-When-X11-input-grabbing-fails-try-again-over-0..patch;
|
||||
sha256 = "046jy7k0n7fj74s5w1h6sq1ljg8y77i0xwi301kv53bhsp0xsirx";
|
||||
})];
|
||||
|
||||
# configure cannot find moc on its own
|
||||
preConfigure = stdenv.lib.optionalString (qt4 != null) ''
|
||||
export QTDIR="${qt4}"
|
||||
export MOC="${qt4}/bin/moc"
|
||||
'';
|
||||
url = https://anonscm.debian.org/cgit/pkg-gnupg/pinentry.git/plain/debian/patches/0007-gtk2-When-X11-input-grabbing-fails-try-again-over-0..patch;
|
||||
sha256 = "046jy7k0n7fj74s5w1h6sq1ljg8y77i0xwi301kv53bhsp0xsirx";
|
||||
})
|
||||
];
|
||||
|
||||
configureFlags = [
|
||||
(mkWith (libcap != null) "libcap")
|
||||
@@ -44,20 +35,20 @@ stdenv.mkDerivation rec {
|
||||
(mkEnable true "pinentry-tty")
|
||||
(mkEnable (gtk2 != null) "pinentry-gtk2")
|
||||
(mkEnable (gcr != null) "pinentry-gnome3")
|
||||
(mkEnable (qt4 != null) "pinentry-qt")
|
||||
(mkEnable (qt != null) "pinentry-qt")
|
||||
];
|
||||
|
||||
nativeBuildInputs = [ pkgconfig ];
|
||||
|
||||
meta = {
|
||||
meta = with stdenv.lib; {
|
||||
homepage = http://gnupg.org/aegypten2/;
|
||||
description = "GnuPG's interface to passphrase input";
|
||||
license = stdenv.lib.licenses.gpl2Plus;
|
||||
platforms = stdenv.lib.platforms.all;
|
||||
description = "GnuPG’s interface to passphrase input";
|
||||
license = licenses.gpl2Plus;
|
||||
platforms = platforms.all;
|
||||
longDescription = ''
|
||||
Pinentry provides a console and (optional) GTK+ and Qt GUIs allowing users
|
||||
to enter a passphrase when `gpg' or `gpg2' is run and needs it.
|
||||
'';
|
||||
maintainers = [ stdenv.lib.maintainers.ttuegel ];
|
||||
maintainers = [ maintainers.ttuegel ];
|
||||
};
|
||||
}
|
||||
|
||||
@@ -1,49 +0,0 @@
|
||||
{ fetchurl, stdenv, pkgconfig
|
||||
, libgpgerror, libassuan
|
||||
, qtbase
|
||||
, libcap ? null
|
||||
}:
|
||||
|
||||
let
|
||||
mkFlag = pfxTrue: pfxFalse: cond: name: "--${if cond then pfxTrue else pfxFalse}-${name}";
|
||||
mkEnable = mkFlag "enable" "disable";
|
||||
mkWith = mkFlag "with" "without";
|
||||
in
|
||||
with stdenv.lib;
|
||||
stdenv.mkDerivation rec {
|
||||
name = "pinentry-0.9.6";
|
||||
|
||||
src = fetchurl {
|
||||
url = "mirror://gnupg/pinentry/${name}.tar.bz2";
|
||||
sha256 = "0rhyw1vk28kgasjp22myf7m2q8kycw82d65pr9kgh93z17lj849a";
|
||||
};
|
||||
|
||||
buildInputs = [ libgpgerror libassuan libcap qtbase ];
|
||||
|
||||
# configure cannot find moc on its own
|
||||
preConfigure = ''
|
||||
export QTDIR="${qtbase.dev}"
|
||||
export MOC="${qtbase.dev}/bin/moc"
|
||||
'';
|
||||
|
||||
configureFlags = [
|
||||
(mkWith (libcap != null) "libcap")
|
||||
(mkEnable true "pinentry-qt")
|
||||
];
|
||||
|
||||
NIX_CFLAGS_COMPILE = [ "-std=c++11" ];
|
||||
|
||||
nativeBuildInputs = [ pkgconfig ];
|
||||
|
||||
meta = {
|
||||
homepage = http://gnupg.org/aegypten2/;
|
||||
description = "GnuPG's interface to passphrase input";
|
||||
license = stdenv.lib.licenses.gpl2Plus;
|
||||
platforms = stdenv.lib.platforms.all;
|
||||
longDescription = ''
|
||||
Pinentry provides a console and (optional) GTK+ and Qt GUIs allowing users
|
||||
to enter a passphrase when `gpg' or `gpg2' is run and needs it.
|
||||
'';
|
||||
maintainers = [ stdenv.lib.maintainers.ttuegel ];
|
||||
};
|
||||
}
|
||||
@@ -2,10 +2,11 @@
|
||||
, BusinessISMN, BusinessISSN, ConfigAutoConf, DataCompare, DataDump, DateSimple
|
||||
, DateTime, DateTimeFormatBuilder, DateTimeCalendarJulian
|
||||
, EncodeEUCJPASCII, EncodeHanExtra, EncodeJIS2K, ExtUtilsLibBuilder
|
||||
, FileSlurp, IPCRun3, Log4Perl, LWPProtocolHttps, ListAllUtils, ListMoreUtils
|
||||
, FileSlurp, FileWhich, IPCRun3, Log4Perl, LWPProtocolHttps, ListAllUtils, ListMoreUtils
|
||||
, MozillaCA, ReadonlyXS, RegexpCommon, TextBibTeX, UnicodeCollate
|
||||
, UnicodeLineBreak, URI, XMLLibXMLSimple, XMLLibXSLT, XMLWriter, ClassAccessor
|
||||
, TextCSV, TextRoman, DataUniqid, LinguaTranslit, UnicodeNormalize, SortKey }:
|
||||
, TextCSV, TextCSV_XS, TextRoman, DataUniqid, LinguaTranslit, UnicodeNormalize, SortKey
|
||||
, TestDifferences }:
|
||||
|
||||
buildPerlModule rec {
|
||||
name = "biber-${version}";
|
||||
@@ -21,13 +22,14 @@ buildPerlModule rec {
|
||||
autovivification BusinessISBN BusinessISMN BusinessISSN ConfigAutoConf
|
||||
DataCompare DataDump DateSimple EncodeEUCJPASCII EncodeHanExtra EncodeJIS2K
|
||||
DateTime DateTimeFormatBuilder DateTimeCalendarJulian
|
||||
ExtUtilsLibBuilder FileSlurp IPCRun3 Log4Perl LWPProtocolHttps ListAllUtils
|
||||
ExtUtilsLibBuilder FileSlurp FileWhich IPCRun3 Log4Perl LWPProtocolHttps ListAllUtils
|
||||
ListMoreUtils MozillaCA ReadonlyXS RegexpCommon TextBibTeX
|
||||
UnicodeCollate UnicodeLineBreak URI XMLLibXMLSimple XMLLibXSLT XMLWriter
|
||||
ClassAccessor TextCSV TextRoman DataUniqid LinguaTranslit UnicodeNormalize SortKey
|
||||
ClassAccessor TextCSV TextCSV_XS TextRoman DataUniqid LinguaTranslit UnicodeNormalize SortKey
|
||||
TestDifferences
|
||||
];
|
||||
|
||||
# Tests seem to be broken
|
||||
# Tests depend on the precise Unicode-Collate version (expects 1.19, but we have 1.25)
|
||||
doCheck = false;
|
||||
|
||||
meta = {
|
||||
|
||||
@@ -68,8 +68,8 @@ let
|
||||
collection-metapost = orig.collection-metapost // {
|
||||
deps = orig.collection-metapost.deps // { inherit (tl) metafont; };
|
||||
};
|
||||
collection-genericextra = orig.collection-genericextra // {
|
||||
deps = orig.collection-genericextra.deps // { inherit (tl) xdvi; };
|
||||
collection-plaingeneric = orig.collection-plaingeneric // {
|
||||
deps = orig.collection-plaingeneric.deps // { inherit (tl) xdvi; };
|
||||
};
|
||||
}); # overrides
|
||||
|
||||
|
||||
@@ -7582,6 +7582,8 @@
|
||||
"unicode-bidi.doc-0.01"="8x4zk0spvhmq3sc8ygvidk03gfzm2875";
|
||||
"unisugar-0.92"="wfr974a1y4wzlbw0wwzfr6r0yp9nyasl";
|
||||
"unisugar.doc-0.92"="hcnqifbhpj44cwbr8sh4c71phg4i5327";
|
||||
"xdvi-22.87.03"="g5irfc0gf7bra3vngv6kdbkhbyicdz84";
|
||||
"xdvi.doc-22.87.03"="h2d03izpvnpsii465g3hf299z3ndv4vl";
|
||||
"xebaposter-2.51"="glxmnnhjpy8wjab9avncl4v0wmdf0pv7";
|
||||
"xebaposter.doc-2.51"="sbpqsj7cqhhhs9gq8jia92hxrdgnhzkk";
|
||||
"xechangebar-1.0"="1f2zszj2l5mkqv5zs5bs8g5w4c8rirpv";
|
||||
|
||||
Reference in New Issue
Block a user